Tenant/Product
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Get all products by ai translator
Fetches all products by ai translator.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
id*string
The Ai Translator Id
Query Parameters
date*string
Date
limit?integer
Maximum number of projects to return (pagination limit)
Default
30offset?integer
Offset to start pagination
Default
0name?string
Filter by name
productId?string
Filter by product ID
status?integer
Filter by status(1-Active,2-Expired,3-Deactivated)
sort?string
Filter by sort(-lastUpdate,lastUpdate,-price,price)
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/products/by-ai-translator/d3cb3f65-5b8b-4620-8480-5165621e1112?date=2025-03-11&limit=30&offset=0&name=My+Project+Name&productId=d3cb3f65-5b8b-4620-8480-5165621e1112&status=1&sort=-price"{ "products": [ { "id": 3, "name": "b2binpay", "lastUpdate": "2025-02-26 14:27:25", "price": 5.11, "status": { "id": 1, "name": "Active" }, "actions": [ "AiProductUpdate" ] } ], "pagination": { "maxCount": 101 }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}